Đến nội dung


Hình ảnh
- - - - -

Xuất tọa độ x, y, z và Decription của Block Atribute


  • Please log in to reply
5 replies to this topic

#1 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 June 2011 - 02:24 PM

http://www.cadviet.c...binh_do_1_1.dwg
Em có 1 File như trên trong đó có các Block Atribute không biết từ chương trình phần mềm nào xuất ra. Giờ e muốn nhờ các bác viết hộ e 1 Lisp có thể xuất ra được File .txt với các thông số x,y,z ở trong đó. Thank's
  • -1
Y=acosh(x/a)

#2 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 22 June 2011 - 03:00 PM

http://www.cadviet.com/upfiles/3/binh_do_1_1.dwg
Em có 1 File như trên trong đó có các Block Atribute không biết từ chương trình phần mềm nào xuất ra. Giờ e muốn nhờ các bác viết hộ e 1 Lisp có thể xuất ra được File .txt với các thông số x,y,z ở trong đó. Thank's

Không cần dùng lisp đâu bạn.Bạn làm theo video này nhé
http://www.mediafire...6x5w6dnqwuhjlbo
  • 0

#3 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 June 2011 - 04:23 PM

Không cần dùng lisp đâu bạn.Bạn làm theo video này nhé
http://www.mediafire...6x5w6dnqwuhjlbo

Ý mình là file mà mình gửi lên ấy, cao độ của nó thể hiện bởi 2 số liền nên mình không thể lấy được giá trị đó. Thank's bác đã up file video làm mình tò mò bác dùng phần mềm gì thế?
  • -1
Y=acosh(x/a)

#4 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 23 June 2011 - 07:48 AM

Ý mình là file mà mình gửi lên ấy, cao độ của nó thể hiện bởi 2 số liền nên mình không thể lấy được giá trị đó. Thank's bác đã up file video làm mình tò mò bác dùng phần mềm gì thế?

Bạn có thể linh động, mình chỉ hướng dẫn cách làm vậy thôi
Gửi bạn video cho trường hợp của bạn
http://www.cadviet.c..._lay_cao_do.rar
Mình dùng cad2007.Lệnh của cad thôi bạn ah, không có phần mềm gì hết
  • 0

#5 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 23 June 2011 - 09:19 AM

http://www.cadviet.com/upfiles/3/binh_do_1_1.dwg
Em có 1 File như trên trong đó có các Block Atribute không biết từ chương trình phần mềm nào xuất ra. Giờ e muốn nhờ các bác viết hộ e 1 Lisp có thể xuất ra được File .txt với các thông số x,y,z ở trong đó. Thank's

Gửi bạn lisp xuất tọa độ Att.
(defun c:EpAtt(/ ent i obj pos ss str NAME RELEV  LELEV  DESCP tmp  )
(vl-load-com)
(princ "\nChon doi tuong can xuat thuoc tinh :" )
(if (and
(setq ss (ssget (list (cons 0 "INSERT")(cons 66 1)(cons 2 "POINTX"))))
(setq tmp (getfiled "Ten file xuat toa do" (getvar "dwgprefix") "csv" 1)) )
(progn
(setq tmp (open tmp "a") i -1)
(write-line (strcat "NAM" "," "Caodo" "," "DESCP" "," "X" "," "Y" "," "Z") tmp)
(while (setq ent (ssname ss (setq i (1+ i))))
(setq obj (vlax-ename->vla-object ent)
pos (mapcar 'rtos (vlax-get obj 'InsertionPoint)))
(foreach att (vlax-invoke obj 'GetAttributes)
(cond
( (= (vla-get-TagString att) "NAME")
(setq NAME (vla-get-TextString att)) )
( (= (vla-get-TagString att) "RELEV")
(setq RELEV (vla-get-TextString att)) )
( (= (vla-get-TagString att) "LELEV")
(setq LELEV (vla-get-TextString att)) )
( (= (vla-get-TagString att) "DESCP")
(setq DESCP (vla-get-TextString att)) )
)
)
(setq Caodo (+ (atof RELEV) (atof LELEV)))
(write-line (strcat NAME "," (rtos Caodo 2 3) "," DESCP "," (car pos) "," (cadr pos) "," (caddr pos) ) tmp)
)
(close tmp)
)
)
(princ)
)
Mong rằng đáp ứng được yêu cầu của bạn
  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#6 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 23 June 2011 - 10:55 AM

Gửi bạn lisp xuất tọa độ Att.
Mong rằng đáp ứng được yêu cầu của bạn

Thank's bác phát. Em lấy được x, y, z rồi!
  • 0
Y=acosh(x/a)